Loading...
Searching...
No Matches
APR Hash Table Helpers

These functions enable the caller to dereference an APR hash table index without type casts or temporary variables. More...

## Functions

const void * | apr_hash_this_key (apr_hash_index_t *hi)
| Return the key of the hash table entry indexed by hi.
apr_ssize_t | apr_hash_this_key_len (apr_hash_index_t *hi)
| Return the key length of the hash table entry indexed by hi.
void * | apr_hash_this_val (apr_hash_index_t *hi)
| Return the value of the hash table entry indexed by hi.

## Detailed Description

These functions enable the caller to dereference an APR hash table index without type casts or temporary variables.

These functions are provided by APR itself from version 1.5. Definitions are provided here for when using older versions of APR.